#!/bin/bash
#
# Amanda backup user hozzaadasa felhasznaloi csoportokhoz, annak erdekeben, 
# hogy a $ROOTDIR konyvtarfara olvasasi joga legyen.
# Parameter a $ROOTDIR (abszolut path) - ha nincs, akkor az aktualis konyvtar ertendo.

ROOTDIR=$1
BACKUPUSER=backup

# Egy Perl scripttel osszegyujti mindazon file-ok csoportjait, amelyekre nincs mindenkinek
# olvasasi joga. A $BACKUPUSER bekerul ezekbe a csoportokba.

./collectGroups.pl "$ROOTDIR" | while read line
do
    addgroup $BACKUPUSER $line
done

# Panaszkodik, ha olyan file-t talal, amelyre nincs a csoportnak sem olvasasi joga.

find "$ROOTDIR" ! -perm -004 ! -perm -040 -exec ls -la -d {} \;
