#! /bin/sh
#
# Amanda kliens konfigualasa
# Ezt a scriptet a kliensen egy alkalommal, root-kent futtasd le.
#
# kovacs.zoltan@mimoza.hu 2006-05-22

AMANDACLIENT=amanda-client		# Amanda client package
AMANDASERVER=upc122.ionlab.net		# Amanda server from client's point of view (maybe NAT-ed, masqued)
AMANDAUSER=backup               	# User running Amanda on client
AMANDAGROUP=disk               		# Group of Amanda user
AMANDACONF=/etc          		# Root directory for Amanda config files

# Root felhasznalo ellenorzese
	                                                                                                                  
if [ `whoami` != "root" ] ; then
    echo "Run as root please."
    exit 1
fi
		    
# Az Amanda kliens telepitese, ha meg nem tortent meg.

if [ -z "`dpkg -l $AMANDACLIENT | grep ii`" ] ; then
    echo "Telepiteni kell az Amanda klienst a kovetkezo paranccsal:"
    echo "apt-get install $AMANDACLIENT"
    echo "utana futtasd ujra ezt a scriptet."
    exit 1
else
    echo "Az Amanda kliens mar telepitve van."
fi

# Az amandahosts file ellenorzese

if [ -f $AMANDACONF/amandahosts ] ; then
    if [ -z "`cat $AMANDACONF/amandahosts | grep $AMANDASERVER | grep $AMANDAUSER`" ] ; then
        echo "#" >> $AMANDACONF/amandahosts
	echo "# Added by Amanda setup script at `date`" >> $AMANDACONF/amandahosts
	echo "$AMANDASERVER $AMANDAUSER" >> $AMANDACONF/amandahosts
        echo "$AMANDASERVER $AMANDAUSER bejegyezve az $AMANDACONF/amandahosts file-ba."
    else
	echo "$AMANDASERVER $AMANDAUSER bejegyzes mar szerepel az $AMANDACONF/amandahosts file-ban."
    fi 
else
    echo "# Added by Amanda setup script at `date`" > $AMANDACONF/amandahosts
    echo "localhost $AMANDAUSER" >> $AMANDACONF/amandahosts
    echo "$AMANDASERVER $AMANDAUSER" >> $AMANDACONF/amandahosts
    echo "Az $AMANDACONF/amandahosts file ujonnan letrehozva."
fi

# Inetd futtatasa eseten elvegzendo ellenorzesek

if [ ! -z "`ps aux | grep '/inetd'`" ] ; then
    if [ -z "`cat /etc/inetd.conf | grep -v '#' | grep amandad`" ] ; then
	echo "FIGYELEM! Inetd fut, de az /etc/inetd.conf-ban az amandad nincs engedelyezve!"
    fi
fi

# Ha van tuzfal, fogadni kell az Amanda UDP-t

echo "Ha van helyi tuzfal, ezeket be kell allitani:"
echo "ip_conntrack betoltese"
echo "ACCEPT  udp  --  $AMANDASERVER  here  udp dpt:amanda"
echo "ACCEPT  udp  --  here  $AMANDASERVER  udp dpt:amanda"
