#!/usr/bin/perl
#
#use strict;

# Humbly Perl script to enumerate Linux user groups able to read files within a directory tree.
# kovacs.zoltan@mimoza.hu 2004. 09. 09.

# Replacing empty rootpath with current (relative) path
$ROOTPATH = $ARGV[0] =~ m/^\s*$/ ? "." : $ARGV[0];

# Collector hash for group names
%groups = ();

# Use group names of files (with enabled group read attribute) below $ROOTPATH as key in hash
for (` find $ROOTPATH -perm -040 ! -perm -004 -exec ls -la -d {} \\;`) {
	s/^(\S+)\s+(\S+)\s+(\S+)\s+(\S*).*$/\4/;
	$groups{$_}++ ;
}

# Resulting the key list of the hash (relevant group names unsorted)
print keys %groups;
